# sdmmc_host Struct Reference

SD/MMC Host structure. More...

`#include <sdmmc.h>`

Collaboration diagram for sdmmc_host:

[legend]

## Data Fields
void(* | enable )(struct sdmmc_host *host)
void(* | power_up )(struct sdmmc_host *host, struct sdmmc_slot *slot)
void(* | power_down )(struct sdmmc_host *host, struct sdmmc_slot *slot)
void(* | set_voltage )(struct sdmmc_host *host, uint32_t ocr)
void(* | set_bus_params )(struct sdmmc_host *host, struct sdmmc_slot *slot)
int | slot_count
struct sdmmc_slot *(* | get_slot )(struct sdmmc_host *host, int slot_id)
bool(* | wp_is_active )(struct sdmmc_host *host, struct sdmmc_slot *slot)
void(* | submit_req )(struct sdmmc_host *host, struct sdmmc_request *req)
int(* | submit_buf_list )(struct sdmmc_host *host, struct sdmmc_request *req, struct slist *buf_list)
unsigned int | f_max
unsigned int | f_min
unsigned int | f_cur
uint32_t | ocr_avail

## Detailed Description

SD/MMC Host structure.

Definition at line 239 of file sdmmc.h.

## Field Documentation

void(* sdmmc_host::enable)(struct sdmmc_host *host)

Enable host

Referenced by sdmmc_host_enable().

unsigned int sdmmc_host::f_cur

Current frequency running

Definition at line 274 of file sdmmc.h.

unsigned int sdmmc_host::f_max

Maximum frequency supported by host

Definition at line 270 of file sdmmc.h.

unsigned int sdmmc_host::f_min

Minimum frequency supporte by host

Definition at line 272 of file sdmmc.h.

Referenced by sdmmc_slot_set_f_max().

struct sdmmc_slot*(* sdmmc_host::get_slot)(struct sdmmc_host *host, int slot_id)`[read]`

Get slot identified by id with range 0 < slot_count

uint32_t sdmmc_host::ocr_avail

Operating Condition Register supported by host

Definition at line 276 of file sdmmc.h.

Referenced by sdmmc_slot_set_voltage().

void(* sdmmc_host::power_down)(struct sdmmc_host *host, struct sdmmc_slot *slot)

Power down function

Referenced by sdmmc_slot_power_down().

void(* sdmmc_host::power_up)(struct sdmmc_host *host, struct sdmmc_slot *slot)

Power up function

Referenced by sdmmc_slot_power_up().

void(* sdmmc_host::set_bus_params)(struct sdmmc_host *host, struct sdmmc_slot *slot)

Update MCK rate, data timeout, bus width, etc. of a slot

Referenced by sdmmc_slot_update().

void(* sdmmc_host::set_voltage)(struct sdmmc_host *host, uint32_t ocr)

Set voltage

Referenced by sdmmc_slot_set_voltage().

int sdmmc_host::slot_count

Number of slots the host controls

Definition at line 255 of file sdmmc.h.

int(* sdmmc_host::submit_buf_list)(struct sdmmc_host *host, struct sdmmc_request *req, struct slist *buf_list)

Submit a list of buffers to an already-queued request

Referenced by sdmmc_req_submit_buf_list().

void(* sdmmc_host::submit_req)(struct sdmmc_host *host, struct sdmmc_request *req)

Submit request function

Referenced by sdmmc_slot_submit_req().

bool(* sdmmc_host::wp_is_active)(struct sdmmc_host *host, struct sdmmc_slot *slot)

Return true if WP switch is enabled

Referenced by sdmmc_slot_is_card_write_protected().

The documentation for this struct was generated from the following file:

- include/sdmmc/sdmmc.h